%define module_name Char-Latin5
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Archive/Tar.pm) perl(Compress/Zlib.pm) perl(Config.pm) perl(DBD/SQLite.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Copy.pm) perl(File/Path.pm) perl(FindBin.pm) perl(Getopt/Std.pm) perl(Test.pm) perl(experimental.pm) perl(strict.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.15
Release: alt1
Summary: Source code filter for Latin-5 script (Imitation JPerl)
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/I/IN/INA/Char/Latin5/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use Latin5;
  use Latin5 ver.sion;             --- require minimum version
  use Latin5 ver.sion.0;           --- expects version (match or die)

  # "no Latin5;" not supported

  or

  $ perl Latin5.pm Latin-5_script.pl > Escaped_script.pl.e

  then

  $ perl Escaped_script.pl.e

  Latin-5_script.pl  --- script written in Latin-5
  Escaped_script.pl.e --- escaped script


  dummy functions:
    utf8::upgrade(...);
    utf8::downgrade(...);
    utf8::encode(...);
    utf8::decode(...);
    utf8::is_utf8(...);
    utf8::valid(...);
    bytes::chr(...);
    bytes::index(...);
    bytes::length(...);
    bytes::ord(...);
    bytes::rindex(...);
    bytes::substr(...);


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README2ND README Changes
%perl_vendor_privlib/L*
%perl_vendor_privlib/E*

%changelog
* Thu May 02 2019 Igor Vlasenko <viy@altlinux.ru> 1.15-alt1
- updated by package builder

* Tue Apr 30 2019 Igor Vlasenko <viy@altlinux.ru> 1.14-alt1
- updated by package builder

* Mon Apr 29 2019 Igor Vlasenko <viy@altlinux.ru> 1.13-alt1
- updated by package builder

* Thu Sep 01 2016 Igor Vlasenko <viy@altlinux.ru> 1.08-alt1
- regenerated from template by package builder

* Wed Oct 14 2015 Igor Vlasenko <viy@altlinux.ru> 1.05-alt1
- regenerated from template by package builder

* Mon Jan 05 2015 Igor Vlasenko <viy@altlinux.ru> 1.02-alt1
- regenerated from template by package builder

* Mon Sep 22 2014 Igor Vlasenko <viy@altlinux.ru> 1.01-alt1
- regenerated from template by package builder

* Fri Sep 05 2014 Igor Vlasenko <viy@altlinux.ru> 0.99-alt1
- regenerated from template by package builder

* Tue May 06 2014 Igor Vlasenko <viy@altlinux.ru> 0.96-alt1
- regenerated from template by package builder

* Wed Jan 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.95-alt1
- regenerated from template by package builder

* Tue Jan 14 2014 Igor Vlasenko <viy@altlinux.ru> 0.94-alt1
- regenerated from template by package builder

* Mon Dec 30 2013 Igor Vlasenko <viy@altlinux.ru> 0.93-alt1
- regenerated from template by package builder

* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.92-alt1
- initial import by package builder

